.character-item * {
    @extend %inherited-color;
}

li.burned {
    filter: brightness(0.50) !important;
}

[class*=character-grid] {
    background-color: darken($section-color, 2%) !important;
    border-radius: 5px !important;
    box-shadow: $shadow-i !important;
    display: flex !important;
    flex-wrap: wrap !important;
    justify-content: center !important;
    padding: 5px !important;

    > li {
        @extend %no-background-image;
        @extend %borderless;

        border-radius: 5px !important;
        box-shadow: $shadow !important;
        margin: 5px !important;

        > a {
            @extend %no-background-color;
        }

        // &.burned {
        //     filter: brightness(0.50) !important;
        // }

        &.locked {
            filter: brightness(0.70) !important;
        }
    }

    @each $type in radical, kanji, vocabulary {
        [class|="#{$type}"]:not(i) {
            @include character($type);
        }
    }
}
